# TdApi.ChatPosition (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: ChatPosition

Package it.tdlight.jni

# Class TdApi.ChatPosition

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ChatPosition

Enclosing class:
  TdApi

    public static class TdApi.ChatPosition
    extends TdApi.Object

Describes a position of a chat in a chat list.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`boolean` | `isPinned` | True, if the chat is pinned in the chat list.
`TdApi.ChatList` | `list` | The chat list.
`long` | `order` | A parameter used to determine order of the chat in the chat list.
`TdApi.ChatSource` | `source` | Source of the chat in the chat list; may be null.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`ChatPosition()` | Describes a position of a chat in a chat list.
`ChatPosition​(TdApi.ChatList list, long order, boolean isPinned, TdApi.ChatSource source)` | Describes a position of a chat in a chat list.
`ChatPosition​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### list

public TdApi.ChatList list
The chat list.

### order

public long order
A parameter used to determine order of the chat in the chat list. Chats must be sorted by the pair (order, chat.id) in descending order.

### isPinned

public boolean isPinned
True, if the chat is pinned in the chat list.

### source

public TdApi.ChatSource source
Source of the chat in the chat list; may be null.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### ChatPosition

public ChatPosition()
Describes a position of a chat in a chat list.

### ChatPosition

public ChatPosition​(TdApi.ChatList list, long order, boolean isPinned, TdApi.ChatSource source)
Describes a position of a chat in a chat list.

Parameters:
  `list` - ChatList The chat list.
  `order` - long A parameter used to determine order of the chat in the chat list. Chats must be sorted by the pair (order, chat.id) in descending order.
  `isPinned` - boolean True, if the chat is pinned in the chat list.
  `source` - ChatSource Source of the chat in the chat list; may be null.

### ChatPosition

public ChatPosition​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`